Name:           ocaml-zarith
Version:        1.4.1
Release:        %mkrel 1
Summary:        Arithmetic and logical operations over arbitrary-precision integers
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/zarith/
Source0:        http://forge.ocamlcore.org/frs/download.php/1574/zarith-1.4.1.tgz
BuildRequires:  ocaml-findlib
BuildRequires:  gmp-devel

%description
The Zarith library implements arithmetic and logical operations
over arbitrary-precision integers. It uses GMP to efficiently
implement arithmetic over big integers. Small integers are
represented as Caml unboxed integers, for speed and space economy.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       gmp-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n zarith-%{version}

%build
./configure -installdir %{buildroot}/%{_libdir}/ocaml
make
make doc

%install
mkdir -p %{buildroot}/%{_libdir}/ocaml
export OCAMLFIND_LDCONF="/dev/null"
make install

%files
%doc LICENSE README Changes
%dir %{_libdir}/ocaml/zarith
%{_libdir}/ocaml/zarith/META
%{_libdir}/ocaml/zarith/*.cma
%{_libdir}/ocaml/zarith/*.cmi
%{_libdir}/ocaml/zarith/*.cmxs
%{_libdir}/ocaml/zarith/*.so*

%files devel
%doc html/
%{_libdir}/ocaml/zarith/*.a
%{_libdir}/ocaml/zarith/*.cmxa
%{_libdir}/ocaml/zarith/*.mli
%{_libdir}/ocaml/zarith/*.h


%changelog
* Tue Feb 02 2016 pterjan <pterjan> 1.4.1-1.mga6
+ Revision: 931871
- Update to 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 744247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 683135
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 536381
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.2.1-2.mga4
+ Revision: 484186
- rebuild for ocaml-4.01.0

* Sat Jun 29 2013 malo <malo> 1.2.1-1.mga4
+ Revision: 448359
- update to 1.2.1

* Sun Jan 13 2013 umeabot <umeabot> 1.1-5.mga3
+ Revision: 361730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1-4.mga3
+ Revision: 301099
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1-3.mga3
+ Revision: 300353
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 1.1-2.mga2
+ Revision: 229851
- adding missing requires to gmp-devel

* Sun Mar 25 2012 blue_prawn <blue_prawn> 1.1-1.mga2
+ Revision: 226246
- imported package ocaml-zarith

